<div class="row" n:tag-if="$drawBox">

    <div class="col-12 mb-4" n:tag-if="$drawBox">
        <div class="card shadow" n:tag-if="$drawBox">
            <div class="card-body" n:tag-if="$drawBox">
                {form form class => 'js-check-participants'}
                    {input tournamentId}
                    <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                    <div class="row" n:if="isset($form['participants'])">
                        <div class="col-12">
                            {label participants /}
                            <div class="form-group mb-0">
                                {input participants class => 'form-control chosen-select',
                                data-chosen-placeholder-text => ('tournament-game.bracket.edit-stage.participants.placeholder'|translate),
                                data-chosen-no-result-text => ('tournament-game.bracket.edit-stage.participants.no-result'|translate)}
                            </div>
                            <small class="text-muted d-block mb-3 mt-1 ml-1 op-50"><i class="fas fa-info-circle"></i> {_'tournament-game.bracket.edit-stage.participants.hint'}</small>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 col-md-4">
                            {label type /}
                            <div class="form-group">
                                {input type class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-md-8">
                            {label name /}
                            <div class="form-group">
                                {input name class => 'form-control'}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 col-md-6" id="toggle-best-of-game">
                            {label bestOfGame /}
                            <div class="form-group">
                                {input bestOfGame class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-md-6" id="toggle-best-of-game-loser">
                            {label bestOfGameLoser /}
                            <div class="form-group">
                                {input bestOfGameLoser class => 'form-control'}
                            </div>
                        </div>
                    </div>

                    <div class="row" id="toggle-round-robin-duel">
                        <div class="col-12 col-md-6">
                            {label numberOfDuels /}
                            <div class="form-group">
                                {input numberOfDuels class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-md-6">
                            {label numberOfRoundDuels /}
                            <div class="form-group">
                                {input numberOfRoundDuels class => 'form-control'}
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            {$form['willPlayInTheFinals']|formCheckbox}
                        </div>
                    </div>

                    <div class="row" id="toggle-sequential-display-of-duels">
                        <div class="col-12">
                            {$form['sequentialDisplayOfDuels']|formCheckbox}
                        </div>
                    </div>

                    <div class="row" id="toggle-number-of-rounds">
                        <div class="col-12 col-md-6">
                            {label numberOfRounds /}
                            <div class="form-group">
                                {input numberOfRounds class => 'form-control'}
                            </div>
                        </div>
                    </div>

                {if $isModal}
                    {input send_back class => 'd-none', id => 'js-submit'}
                    <label class="btn btn-primary w-100 w-lg-auto mb-2" for="js-submit">{_$form['send']->getCaption()}</label>
                    <button type="button" class="btn btn-light w-100 w-lg-auto mb-2" data-dismiss="modal">{_'tournament-game.bracket.edit-stage.back'}</button>
                {else}
                    {input send class => 'btn btn-primary w-100 w-lg-auto mb-2'}
                    {input send_back class => 'btn btn-outline-primary w-100 w-lg-auto mb-2'}
                    {input back class => 'btn btn-light w-100 w-lg-auto mb-2'}
                {/if}

                    <script n:syntax="double">
                        var countStages = {{$countStages}};
                        var $name = $('#' + {{$form['name']->getHtmlId()}});
                        var oldName = '';

                        $('#' + {{$form['type']->getHtmlId()}}).change(function () {
                            if (!$name.val().trim() || $name.val().trim() === oldName) {
                                oldName = ['Stage', '#' + countStages, '-', $(this).find(':selected').text()].join(' ');
                                $name.val(oldName);
                            }
                        });
                    </script>

                    <script n:syntax="double" n:if="isset($form['participants'])">
                        var optionRoundRobin = {{\Skadmin\TournamentGame\Doctrine\TournamentBracketStage\Type\TournamentBracketStageRoundRobin::class}};

                        $('.js-check-participants').submit(function () {
                            var selectedParticipants = $('#' + {{$form['participants']->getHtmlId()}} + ' :selected').length;

                            var minParticipants = 4;
                            if ($('#' + {{$form['type']->getHtmlId()}}).val() === optionRoundRobin) {
                                minParticipants = 3;
                            }

                            if (selectedParticipants !== 0 && selectedParticipants < minParticipants) {
                                alert({{_'tournament-game.bracket.edit-stage.participants.req'}});
                                return false;
                            }
                        });
                    </script>
                {/form}
            </div>
        </div>
    </div>

</div>